Skip to main content
PUT
/
api
/
v0
/
users
/
{user_id}
/
notification-prefs
/
update notification preferences
curl --request PUT \
  --url https://console.vast.ai/api/v0/users/{user_id}/notification-prefs/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notification_preferences": {
    "client": {
      "low_credit": {
        "email": true,
        "webhooks": false
      }
    }
  }
}
'
{
  "success": true,
  "notification_preferences": {
    "client": {
      "low_credit": {
        "email": true,
        "webhooks": false
      }
    }
  }
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

user_id
integer
required

ID of the authenticated user.

Body

application/json
notification_preferences
object
required
Example:
{
"client": {
"low_credit": { "email": true, "webhooks": false }
}
}

Response

Notification preferences updated successfully

success
boolean
Example:

true

notification_preferences
object
Example:
{
"client": {
"low_credit": { "email": true, "webhooks": false }
}
}